#include < amxmodx >
#include < fakemeta >

#define VERSION "1.3"

new g_iGlow [ 33 ]

public plugin_init ( )
{
	register_plugin ( "TargetGlow", VERSION, "Radiance" )
	register_forward ( FM_TraceLine, "ForwardTraceLinePost", 1 )
	register_forward ( FM_AddToFullPack, "ForwardAddToFullPackPost", 1 )
}

public ForwardTraceLinePost ( Float:fStart[ 3 ], Float:fEnd[ 3 ], iConditions, id, iTrace )
	if ( is_user_alive ( id ) )
	{
		new iClient = get_tr2 ( iTrace, TR_pHit )

		if ( is_user_alive ( iClient ) )
			g_iGlow [ id ] = iClient
		else
			g_iGlow [ id ] = -1
	}

public ForwardAddToFullPackPost ( es_handle, e, ent, host, hostflags, player, pSet )
{
	if ( !player || !is_user_alive ( host ) || ( g_iGlow [ host ] != ent ) )
		return FMRES_IGNORED

	set_es ( es_handle, ES_RenderFx, kRenderFxGlowShell )

	switch ( get_user_team( ent ) )
	{
		case 1:
			set_es ( es_handle, ES_RenderColor, { 200, 0, 0 } )
		case 2:
			set_es ( es_handle, ES_RenderColor, { 0, 0, 200 } )
		default:
			set_es ( es_handle, ES_RenderColor, { 200, 200, 200 } )
	}

	return FMRES_IGNORED
}